TestResultWrapperConverter (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.save.converters, class: TestResultWrapperConverter

Package org.apache.jmeter.save.converters

# Class TestResultWrapperConverter

java.lang.Object
com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
org.apache.jmeter.save.converters.TestResultWrapperConverter

All Implemented Interfaces:
  `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`

public class TestResultWrapperConverter extends com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
XStream Class to convert TestResultWrapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestResultWrapperConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canConvert(Class arg0)`
  `static String`
  `getVersion()`
  Returns the converter version; used to check for possible incompatibilities
  `void`
  `marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter arg1, com.thoughtworks.xstream.converters.MarshallingContext arg2)`
  `Object`
  `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`
  Read test results from JTL files and pass them to the visualiser directly.

  ### Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

  `createCollection, mapper, readBareItem, readCompleteItem, readItem, writeBareItem, writeCompleteItem, writeItem, writeNullItem`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestResultWrapperConverter

    public TestResultWrapperConverter(com.thoughtworks.xstream.mapper.Mapper arg0)
    Parameters:
      `arg0` - the `Mapper` to be used

- ## Method Details

  - ### getVersion

    public static String getVersion()
    Returns the converter version; used to check for possible incompatibilities
    Returns:
      the version of this converter

  - ### canConvert

    public boolean canConvert(Class arg0)
    Specified by:
      `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
    Specified by:
      `canConvert` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

  - ### marshal

    public void marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter arg1, com.thoughtworks.xstream.converters.MarshallingContext arg2)
    Specified by:
      `marshal` in interface `com.thoughtworks.xstream.converters.Converter`
    Specified by:
      `marshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

  - ### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)
    Read test results from JTL files and pass them to the visualiser directly. If the ResultCollector helper object is defined, then pass the samples to that rather than adding them to the test result wrapper.
    Specified by:
      `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
    Specified by:
      `unmarshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`
    Returns:
      the test result wrapper (may be empty)
    See Also:
      - `Converter.unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader, com.thoughtworks.xstream.converters.UnmarshallingContext)`